%define anolis_release 5
Name:		perl-Parse-Distname
Version:	0.05
Release:	%{anolis_release}%{?dist}
Summary:	Parse a distribution name
License:	GPL+ or Artistic
URL:		https://metacpan.org/dist/Parse-Distname
Source0:	https://cpan.metacpan.org/modules/by-module/Parse/Parse-Distname-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(ExtUtils::MakeMaker::CPANfile) >= 0.08
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(Test::Differences)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::UseAllModules) >= 0.17
# Dependencies

%description
Parse::Distname is yet another distribution name parser. It works almost the
same as CPAN::DistnameInfo, but Parse::Distname takes a different approach. It
tries to extract the version part of a distribution and treat the rest as a
distribution name, contrary to CPAN::DistnameInfo which tries to define a name
part and treat the rest as a version.

Because of this difference, when Parse::Distname parses a weird distribution
name such as "AUTHOR/v1.0.tar.gz", it says the name is empty and the version
is "v1.0", while CPAN::DistnameInfo says the name is "v" and the version is
"1.0". See test files in this distribution if you need more details. As of this
writing, Parse::Distname returns a different result for about 200+
distributions among about 320000 BackPan distributions.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Parse-Distname-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Parse/
%{_mandir}/man3/Parse::Distname.3*

%files doc
%doc Changes README

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 0.05-5
- Import package for anolis 23
